--- old/usr/src/uts/common/io/ixgbe/ixgbe_gld.c	Thu Jan 14 14:49:27 2016
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_gld.c	Thu Jan 14 14:49:27 2016
@@ -26,6 +26,7 @@
 /*
  * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2016 OmniTI Computer Consulting, Inc. All rights reserved.
  */
 
 #include "ixgbe_sw.h"
@@ -711,12 +712,14 @@
 			ixgbe->intr_throttling[0] = (uint32_t)result;
 
 			/*
-			 * 82599 and X540 require the interrupt throttling
-			 * rate is a multiple of 8. This is enforced by the
-			 * register definiton.
+			 * 82599, X540 and X550 require the interrupt
+			 * throttling rate is a multiple of 8. This is
+			 * enforced by the register definiton.
 			 */
 			if (hw->mac.type == ixgbe_mac_82599EB ||
-			    hw->mac.type == ixgbe_mac_X540) {
+			    hw->mac.type == ixgbe_mac_X540 ||
+			    hw->mac.type == ixgbe_mac_X550 ||
+			    hw->mac.type == ixgbe_mac_X550EM_x) {
 				ixgbe->intr_throttling[0] =
 				    ixgbe->intr_throttling[0] & 0xFF8;
 			}
